package com.memorynotfound.spring.core.scope;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class Run {

    public static void main(String... args) throws InterruptedException {
        ApplicationContext context = new ClassPathXmlApplicationContext("app-config.xml");

        CoffeeMachine coffeeMachine = context.getBean(CoffeeMachine.class);
        coffeeMachine.setSerialNr(12356789);
        System.out.println("Serial nr: " + coffeeMachine.getSerialNr());

        coffeeMachine = context.getBean(CoffeeMachine.class);
        System.out.println("Serial nr: " + coffeeMachine.getSerialNr());
    }
}
